commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mario Ivankovits <ma...@ops.co.at>
Subject [RESULT][vfs][REVOTE] release version 1.0
Date Tue, 03 Jan 2006 09:42:51 GMT
Hi!

After a couple of RCs, a already passed 1.0 vote I have to annonounce 
that the revote has failed.

You can find the voting thread here: 
http://marc.theaimsgroup.com/?t=113381466200006&r=1&w=2


The main reason is that commons-vfs depends on commons-compress which is 
a sandbox component. It turns out that it is undesired to release 
packages if they itself depends on non released code.
This is the same for webdavlib (slide) where we have to use a specific 
snapshot to make the webdav stuff work.

I'll fix the compress stuff by import the required sources into the VFS 
codebase (or should we cut a compress release?).
The webdavlib might be another problem as there was no release in 2005, 
hopefully we will see a new one soon.


So how can I proceed now?
I cant rewind the RC's, so if I continue development which version 
should I use?
I tend to use 1.1-dev even if we never had a 1.0 release.

Too much time to get the release out has been taken.
Now I'll fix the new bugs and move on as described on 
http://wiki.apache.org/jakarta-commons/VfsNext.
Once we sorted out the dependency stuff we can cut a new release.

What do you think?

Ciao,
Mario


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message